#include <solve.hpp>
using namespace ngsolve;
using namespace ngfem;
#include <python_comp.hpp>
#include "1_myFEM/myCoefficient.hpp"

PYBIND11_MODULE(myngspy,m) {
  // import ngsolve such that python base classes are defined
  auto ngs = py::module::import("ngsolve");

  /*
    Finally we export all the other classes and functions we created in this tutorial
   */
  ExportMyCoefficient(m);

  // This adds documented flags to the docstring of objects (for example
  // FESpaces).
  ngs.attr("_add_flags_doc")(m);
}

//static RegisterNumProc<NumProcPyDemo> npinit1("demopy");
